## gcab 0.4

=== debian/changelog ===
gcab (0.4-3) unstable; urgency=medium

  * Fix all the crashes detected by AFL. Thanks to Jakub Wilk for the
    suggestion! Closes: #775941.
  * Fix hyphens in the manpage.

 -- Stephen Kitt <skitt@debian.org>  Sun, 25 Jan 2015 23:51:15 +0100

gcab (0.4-2) unstable; urgency=medium

  * Indicate that libgcab/gcab-enums.* is licensed using LGPL-2.0+, not
    2.1+ like the rest of the project. Thanks to Thorsten Alteholz for
    pointing out that this should be indicated explicitly!
  * Prevent path traversals; contents of cabinet files are always
    extracted below the extraction point and cannot escape it. Closes:
    #774580. This is CVE-2015-0552.

 -- Stephen Kitt <skitt@debian.org>  Tue, 06 Jan 2015 00:14:58 +0100

gcab (0.4-1) unstable; urgency=low

  * Initial release. Closes: #771253.

 -- Stephen Kitt <skitt@debian.org>  Sat, 29 Nov 2014 00:12:00 +0100

## gcab 1.1

=== meson_options.txt ===
option('docs', type : 'boolean', value : true, description : 'enable developer documentation')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('tests', type : 'boolean', value : true, description : 'enable tests')

## gcab 0.6

=== debian/changelog ===
gcab (0.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop afl-fixes.patch, merged upstream.

 -- Stephen Kitt <skitt@debian.org>  Fri, 20 Mar 2015 20:11:15 +0100

gcab (0.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches fix-glib-linking, fix-gtkdoc-tests, cve-2015-0552.patch,
    merged upstream.
  * m4/intltool.m4 is no longer shipped, remove it from
    debian/copyright.

 -- Stephen Kitt <skitt@debian.org>  Thu, 12 Mar 2015 06:59:08 +0100

=== debian/control ===
Source: gcab
Section: utils
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 gobject-introspection,
 gtk-doc-tools,
 libgirepository1.0-dev,
 libglib2.0-dev,
 valac
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/msitools
Vcs-Git: git://anonscm.debian.org/collab-maint/gcab.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gcab.git;a=summary

Package: gcab
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Microsoft Cabinet file manipulation tool
 gcab can list, extract and create cabinet (.cab) files, commonly used
 as archives to distribute software on Windows.
 .
 gcab is similar to cabextract but can create cabinet files.

Package: libgcab-1.0-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Microsoft Cabinet file manipulation library
 libgcab provides functions to manipulate cabinet (.cab) files,
 both for reading and writing their contents.
 .
 This package contains the shared library.

Package: libgcab-1.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
 libgcab-1.0-0 (= ${binary:Version}),
 ${misc:Depends}
Description: Microsoft Cabinet file manipulation library - debug files
 libgcab provides functions to manipulate cabinet (.cab) files,
 both for reading and writing their contents.
 .
 This package contains the debugging symbols.

Package: libgcab-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgcab-1.0-0 (= ${binary:Version}),
 ${misc:Depends}
Suggests:
 libgcab-doc
Description: Microsoft Cabinet file manipulation library - development files
 libgcab provides functions to manipulate cabinet (.cab) files,
 both for reading and writing their contents.
 .
 This package contains the development files.

Package: libgcab-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Suggests:
 devhelp
Description: Microsoft Cabinet file manipulation library - documentation
 libgcab provides functions to manipulate cabinet (.cab) files,
 both for reading and writing their contents.
 .
 This package contains the documentation.

Package: gir1.2-libgcab-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
 ${gir:Depends},
 ${misc:Depends}
Description: Microsoft Cabinet file manipulation library - gir bindings
 libgcab provides functions to manipulate cabinet (.cab) files,
 both for reading and writing their contents.
 .
 This package contains the GObject introspection repository bindings.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf,gir

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --enable-fast-install

override_dh_install:
	dh_install --list-missing -X.la -X.pyc -X.pyo

override_dh_strip:
	dh_strip --dbg-package=libgcab-1.0-0-dbg

override_dh_auto_build:
	dh_auto_build -- V=1

## gcab 0.7

=== debian/changelog ===
gcab (0.7-4ubuntu0.1) artful-security; urgency=medium

  * SECURITY UPDATE: code execution via crafted .cab file
    - debian/patches/CVE-2018-5345.patch: add size check in
      libgcab/cabinet.c.
    - CVE-2018-5345

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Jan 2018 07:47:47 -0500

gcab (0.7-4) unstable; urgency=medium

  * Add overrides for Lintian’s “spelling error” covering the use of “GNU
    Public License” (which refers to the general concept here).
  * Make gcab produce reproducible cabinets; thanks to Chris Lamb for the
    patch. Closes: #872460.
  * Fix an invalid libgcab-dev link in libgcab-doc.

 -- Stephen Kitt <skitt@debian.org>  Thu, 17 Aug 2017 22:43:03 +0200

gcab (0.7-3) unstable; urgency=medium

  * Switch to debhelper compatibility level 10.
  * As per the GObject-Introspection policy, the typelib package should be
    gir1.2-gcab-1.0, not gir1.2-libgcab-1.0; rename the package
    accordingly. The -dev package also needs a dependency on the typelib
    package.
  * Update debian/copyright.
  * Standards-Version 4.0.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 11 Jul 2017 12:35:49 +0200

gcab (0.7-2) unstable; urgency=medium

  * Explicitly build-depend on intltool and pkg-config instead of relying
    on gnome-common. Closes: #837853.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 15 Sep 2016 23:02:12 +0200

gcab (0.7-1) unstable; urgency=medium

  * New upstream release.
  * Add unique license names for all the permissive licenses.
  * Migrate to dbgsym debug packages.
  * Switch to https: VCS URIs (see #810378).
  * Add the Ubuntu patch to avoid integer overflows in zalloc.
  * Standards-Version 3.9.7, no change required.
  * Enable all hardening options.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Mar 2016 12:46:01 +0100

=== debian/control ===
Source: gcab
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10),
               gobject-introspection,
               gtk-doc-tools,
               intltool,
               libgirepository1.0-dev,
               libglib2.0-dev,
               pkg-config,
               valac
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gcab.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gcab.git
Homepage: https://wiki.gnome.org/msitools

Package: gcab
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Microsoft Cabinet file manipulation tool
 gcab can list, extract and create cabinet (.cab) files, commonly used
 as archives to distribute software on Windows.
 .
 gcab is similar to cabextract but can create cabinet files.

Package: libgcab-1.0-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Microsoft Cabinet file manipulation library
 libgcab provides functions to manipulate cabinet (.cab) files,
 both for reading and writing their contents.
 .
 This package contains the shared library.

Package: libgcab-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-gcab-1.0 (= ${binary:Version}),
         libgcab-1.0-0 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libgcab-doc
Description: Microsoft Cabinet file manipulation library - development files
 libgcab provides functions to manipulate cabinet (.cab) files,
 both for reading and writing their contents.
 .
 This package contains the development files.

Package: libgcab-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: Microsoft Cabinet file manipulation library - documentation
 libgcab provides functions to manipulate cabinet (.cab) files,
 both for reading and writing their contents.
 .
 This package contains the documentation.

Package: gir1.2-gcab-1.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Replaces: gir1.2-libgcab-1.0
Breaks: gir1.2-libgcab-1.0
Description: Microsoft Cabinet file manipulation library - gir bindings
 libgcab provides functions to manipulate cabinet (.cab) files,
 both for reading and writing their contents.
 .
 This package contains the GObject introspection repository bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --enable-fast-install

override_dh_install:
	dh_install --list-missing -X.la -X.pyc -X.pyo

override_dh_strip:
	dh_strip --ddeb-migration='libgcab-1.0-0-dbg (<< 0.6-2~)'

override_dh_auto_build:
	dh_auto_build -- V=1

## gcab 1.1

=== debian/changelog ===
gcab (1.1-2) unstable; urgency=medium

  * Patch the build to avoid requiring git. Closes: #890111.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Feb 2018 18:49:38 +0100

gcab (1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 10 Feb 2018 22:26:53 +0100

gcab (1.0-1) unstable; urgency=medium

  * New upstream release, merging a number of patches and switching to the
    Meson build system.
  * Use dh_missing instead of dh_install --list-missing.

 -- Stephen Kitt <skitt@debian.org>  Thu, 25 Jan 2018 19:55:45 +0100

gcab (0.7-7) unstable; urgency=high

  * Switch to debhelper compatibility level 11.
  * Apply upstream fix for CVE-2018-5345. Closes: #887776. This also fixes
    the out-of-bounds read in cdata_finish(). Closes: #881922.
  * Standards-Version 4.1.3, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 23 Jan 2018 14:25:04 +0100

gcab (0.7-6) unstable; urgency=medium

  * Apply upstream fix to the fix for checksum calculations on big-endian
    and little-endian platforms. LP: #1737723.
  * Standards-Version 4.1.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 12 Dec 2017 20:36:48 +0100

gcab (0.7-5) unstable; urgency=medium

  * Apply upstream fix for checksum calculations on big-endian platforms;
    thanks to Mario Limonciello for the report and pointer to the patch.
    Closes: #882013.
  * Standards-Version 4.1.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 20 Nov 2017 20:06:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: gcab
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                gobject-introspection,
                gtk-doc-tools,
                intltool,
                libgirepository1.0-dev,
                libglib2.0-dev,
+               meson,
                pkg-config,
                valac
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gcab.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/gcab.git
 Homepage: https://wiki.gnome.org/msitools

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir

override_dh_install:
	dh_install -X.la -X.pyc -X.pyo

override_dh_missing:
	dh_missing --list-missing -X.la -X.pyc -X.pyo

override_dh_strip:
	dh_strip --ddeb-migration='libgcab-1.0-0-dbg (<< 0.6-2~)'

## gcab 1.2

=== debian/changelog ===
gcab (1.2-3~deb10u1) buster; urgency=medium

  * Rebuild for Buster.

 -- Stephen Kitt <skitt@debian.org>  Fri, 23 Aug 2019 21:30:08 +0200

gcab (1.2-3) unstable; urgency=medium

  * Apply upstream patch to fix corruption when extracting.
    Closes: #931487. LP: #1835589.

 -- Stephen Kitt <skitt@debian.org>  Sat, 06 Jul 2019 10:18:07 +0200

gcab (1.2-2) unstable; urgency=medium

  * Avoid needing PATH_MAX, so we can build on Hurd. Closes: #888640;
    thanks to Paul Sonnenschein for the patch!

 -- Stephen Kitt <skitt@debian.org>  Sat, 22 Dec 2018 12:37:31 +0100

gcab (1.2-1) unstable; urgency=medium

  * New upstream release, including the fix for the rewind regression.

 -- Stephen Kitt <skitt@debian.org>  Tue, 11 Dec 2018 22:14:38 +0100

gcab (1.1-4) unstable; urgency=medium

  * Apply upstream patch to fix rewind regression. LP: #1801643, #1801644.
  * Switch to a secure upstream URL in debian/watch.
  * ddeb migration complete, drop the dh_strip override.
  * Add “Build-Depends-Package” entry to libdcab-1.0-0.symbols.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 Nov 2018 17:53:25 +0100

gcab (1.1-3) unstable; urgency=medium

  * Migrate to Salsa.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 02 May 2018 20:28:11 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
                meson,
                pkg-config,
                valac
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gcab.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gcab.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian/gcab
+Vcs-Git: https://salsa.debian.org/debian/gcab.git
 Homepage: https://wiki.gnome.org/msitools
+Rules-Requires-Root: no
 
 Package: gcab
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,3 @@
 
 override_dh_missing:
 	dh_missing --list-missing -X.la -X.pyc -X.pyo
-
-override_dh_strip:
-	dh_strip --ddeb-migration='libgcab-1.0-0-dbg (<< 0.6-2~)'

## gcab 1.4

=== meson_options.txt ===
option('docs', type : 'boolean', value : true, description : 'enable developer documentation')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('nls', type : 'boolean', value : true, description : 'enable native language support')
option('vapi', type : 'boolean', value : true, description: 'generate Vala bindings (requires introspection)')
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('installed_tests', type : 'boolean', value : false, description : 'install tests for "as-installed" testing')

=== debian/changelog ===
gcab (1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 09 Jan 2020 22:54:28 +0100

gcab (1.3-1) unstable; urgency=medium

  * New upstream release, merging overflow.patch and the self-test
    patches.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Oct 2019 12:17:13 +0200

gcab (1.2-5) unstable; urgency=medium

  * Source-only rebuild after going through NEW.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Sep 2019 17:29:04 +0200

gcab (1.2-4) unstable; urgency=medium

  * Register the documentation through /usr/share/doc/libgcab-doc rather
    than /usr/share/gtk-doc, as required by doc-base.
  * Switch to debhelper compatibility level 12.
  * Make libgcab-dev depend on libglib2.0-dev; thanks to Simon McVittie
    for the report and patch! Closes: #939222.
  * Add autopkgtests, a superficial one building and linking a simple test
    program, and a more thorough one using the upstream "as-installed"
    tests, shipped in the new libgcab-tests package. Thanks to Simon
    McVittie for both of these! Closes: #939223.
  * Standards-Version 4.4.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 03 Sep 2019 13:43:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                gobject-introspection,
                gtk-doc-tools,
                intltool,
                libgirepository1.0-dev,
                libglib2.0-dev,
-               meson,
+               meson (>= 0.50.0),
                pkg-config,
                valac
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/gcab
 Vcs-Git: https://salsa.debian.org/debian/gcab.git
 Homepage: https://wiki.gnome.org/msitools
@@ -47,6 +47,7 @@
 Section: libdevel
 Depends: gir1.2-gcab-1.0 (= ${binary:Version}),
          libgcab-1.0-0 (= ${binary:Version}),
+         libglib2.0-dev,
          ${misc:Depends}
 Suggests: libgcab-doc
 Description: Microsoft Cabinet file manipulation library - development files
@@ -67,6 +68,20 @@
  .
  This package contains the documentation.
 
+Package: libgcab-tests
+Architecture: any
+Section: misc
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: gnome-desktop-testing
+Description: Microsoft Cabinet file manipulation library - as-installed tests
+ libgcab provides functions to manipulate cabinet (.cab) files,
+ both for reading and writing their contents.
+ .
+ This package contains automated tests, mostly for use via autopkgtest.
+ They can most easily be invoked via the gnome-desktop-testing-runner
+ tool in the gnome-desktop-testing package.
+
 Package: gir1.2-gcab-1.0
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,13 @@
 %:
 	dh $@ --with gir
 
+override_dh_auto_configure:
+	dh_auto_configure \
+		-- \
+		-Dinstalled_tests=true \
+		--libexecdir=libexec \
+		${NULL}
+
 override_dh_install:
 	dh_install -X.la -X.pyc -X.pyo

=== debian/watch ===
version=3
https://ftp.gnome.org/pub/GNOME/sources/gcab/([\d\.]+)/ \
	gcab-(.*)\.tar\.xz

## gcab 1.5

=== debian/changelog ===
gcab (1.5-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 07 Aug 2022 21:31:55 +0200

gcab (1.4-3) unstable; urgency=medium

  * Bump debian/watch version, fix it to avoid scanning the parent
    directory.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Jan 2021 11:36:30 +0100

gcab (1.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Stephen Kitt ]
  * Use version symbols for the symbols file.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 22 Apr 2020 23:08:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gobject-introspection,
                gtk-doc-tools,
                intltool,
@@ -11,7 +11,7 @@
                meson (>= 0.50.0),
                pkg-config,
                valac
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/gcab
 Vcs-Git: https://salsa.debian.org/debian/gcab.git
 Homepage: https://wiki.gnome.org/msitools

## gcab 1.6

=== tests/Makefile ===
all: test-none.cab test-mszip.cab test-signed.cab

test-none.cab: src/test.sh src/test.txt
	touch -t 201709150000 src/test.sh src/test.txt &
	gcab --create --nopath $@ src/test.sh src/test.txt

test-mszip.cab: src/test.sh src/test.txt
	gcab --create --nopath --zip $@ src/test.sh src/test.txt

privkey.pem:
	certtool --generate-privkey --outfile $@

test-signed.cab: privkey.pem test-none.cab
	osslsigncode sign -certs /etc/pki/fwupd/LVFS-CA.pem \
		-key privkey.pem \
		-n "Test Firmware" -i https://fwupd.org/ \
		-jp low \
		-in test-none.cab -out test-signed.cab

=== debian/changelog ===
gcab (1.6-2) unstable; urgency=medium

  * Make libgcab-dev provide the expected gir package name.
  * Use gir1.2-*-dev build-dependencies instead of libgirepository1.0-dev.
    Closes: #1118819.
  * Build-depend on pkgconf instead of the obsolete pkg-config.
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Drop the versioned dependency on meson, even oldoldstable has a
    good-enough version.
  * Remove the old FSF address from debian/copyright.
  * Standards-Version 4.7.2, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 26 Oct 2025 18:28:06 +0100

gcab (1.6-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 06 Jul 2023 19:05:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               gobject-introspection,
+               gir1.2-gio-2.0-dev,
+               gir1.2-glib-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
                gtk-doc-tools,
                intltool,
-               libgirepository1.0-dev,
                libglib2.0-dev,
-               meson (>= 0.50.0),
-               pkg-config,
+               meson,
+               pkgconf,
                valac
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/gcab
 Vcs-Git: https://salsa.debian.org/debian/gcab.git
 Homepage: https://wiki.gnome.org/msitools
-Rules-Requires-Root: no
 
 Package: gcab
 Architecture: any
@@ -48,8 +49,10 @@
 Depends: gir1.2-gcab-1.0 (= ${binary:Version}),
          libgcab-1.0-0 (= ${binary:Version}),
          libglib2.0-dev,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${gir:Depends}
 Suggests: libgcab-doc
+Provides: ${gir:Provides}
 Description: Microsoft Cabinet file manipulation library - development files
  libgcab provides functions to manipulate cabinet (.cab) files,
  both for reading and writing their contents.

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,4 @@
 	dh_install -X.la -X.pyc -X.pyo
 
 override_dh_missing:
-	dh_missing --list-missing -X.la -X.pyc -X.pyo
+	dh_missing -X.la -X.pyc -X.pyo

=== debian/tests/control ===
Tests: installed-tests
Depends: gnome-desktop-testing,
         libgcab-tests
Restrictions: allow-stderr

Tests: libgcab-dev
Depends: build-essential,
         libgcab-dev,
         pkg-config,
Restrictions: allow-stderr superficial

=== debian/watch ===
version=4
https://ftp.gnome.org/pub/GNOME/sources/gcab/(\d[\d\.]+)/ \
	gcab-(.*)\.tar\.xz
